*** sendmail/cf/mailer/uucp.m4	2004/04/21 09:07:53	1.1
--- sendmail/cf/mailer/uucp.m4	2004/04/21 09:24:28
***************
*** 18,24 ****
  ifdef(`UUCP_MAILER_MAX',,
  	`define(`UUCP_MAILER_MAX',
  		`ifdef(`UUCP_MAX_SIZE', `UUCP_MAX_SIZE', 100000)')')
- define(`_UUCP_QGRP', `ifelse(defn(`UUCP_MAILER_QGRP'),`',`', ` Q=UUCP_MAILER_QGRP,')')dnl
  POPDIVERT
  #####################################
  ###   UUCP Mailer specification   ###
--- 18,23 ----
***************
*** 129,157 ****
  
  # old UUCP mailer (two names)
  Muucp,		P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`DFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS
  Muucp-old,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`DFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS
  
  # smart UUCP mailer (handles multiple addresses) (two names)
  Msuucp,		P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS
  Muucp-new,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS
  
  ifdef(`_MAILER_smtp_',
  `# domain-ized UUCP mailer
  Muucp-dom,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhud', UUCP_MAILER_FLAGS), `UUCP'), S=EnvFromUD/HdrFromSMTP, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'),
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS
  
  # domain-ized UUCP mailer with UUCP-style sender envelope
  Muucp-uudom,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhud', UUCP_MAILER_FLAGS), `UUCP'), S=EnvFromUUD/HdrFromSMTP, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'),
! 		M=UUCP_MAILER_MAX, _OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,_UUCP_QGRP
  		A=UUCP_MAILER_ARGS')
  
  
--- 128,162 ----
  
  # old UUCP mailer (two names)
  Muucp,		P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`DFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS
  Muucp-old,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`DFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS
  
  # smart UUCP mailer (handles multiple addresses) (two names)
  Msuucp,		P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS
  Muucp-new,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhuUd', UUCP_MAILER_FLAGS), `UUCP'), S=FromU, R=EnvToU/HdrToU,
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS
  
  ifdef(`_MAILER_smtp_',
  `# domain-ized UUCP mailer
  Muucp-dom,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhud', UUCP_MAILER_FLAGS), `UUCP'), S=EnvFromUD/HdrFromSMTP, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'),
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS
  
  # domain-ized UUCP mailer with UUCP-style sender envelope
  Muucp-uudom,	P=UUCP_MAILER_PATH, F=_MODMF_(CONCAT(`mDFMhud', UUCP_MAILER_FLAGS), `UUCP'), S=EnvFromUUD/HdrFromSMTP, R=ifdef(`_ALL_MASQUERADE_', `EnvToSMTP/HdrFromSMTP', `EnvToSMTP'),
! 		M=UUCP_MAILER_MAX,_OPTINS(`UUCP_MAILER_CHARSET', ` C=', `, ')
! 		T=X-UUCP/X-UUCP/X-Unix,_OPTINS(`UUCP_MAILER_QGRP', ` Q=', `, ')_OPTINS(`UUCP_MAILER_USER', ` U=', `, ')
  		A=UUCP_MAILER_ARGS')
  
  
